---
title: WheelEvent
slug: Web/API/WheelEvent
tags:
  - API
  - DOM
  - Interface
  - Reference
  - WheelEvent
---
<p>{{APIRef("DOM Events")}}</p>

<p>The <strong><code>WheelEvent</code></strong> interface represents events that occur due to the user moving a mouse wheel or similar input device.</p>

<div class="notecard warning">
<p><strong>Important: This is the standard wheel event interface to use.</strong> Old versions of browsers implemented the non-standard and non-cross-browser-compatible {{DOMxRef("MouseWheelEvent")}} and {{DOMxRef("MouseScrollEvent")}} interfaces. Use this interface and avoid the non-standard ones.</p>
</div>

<div class="notecard note">
<p><strong>Do not confuse the {{domxref("Element/wheel_event", "wheel")}} event with the {{domxref("Element/scroll_event", "scroll")}} event:</strong> The default action of a <code>wheel</code> event is implementation-defined. Thus, a <code>wheel</code> event doesn't necessarily dispatch a <code>scroll</code> event. Even when it does, that doesn't mean that the <code>delta*</code> values in the <code>wheel</code> event necessarily reflect the content's scrolling direction. Therefore, do not rely on <code>delta*</code> properties to get the content's scrolling direction. Instead, detect value changes to {{DOMxRef("Element.scrollLeft", "scrollLeft")}} and {{DOMxRef("Element.scrollTop", "scrollTop")}} of the target in the <code>scroll</code> event.</p>
</div>

<p>{{InheritanceDiagram}}</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{DOMxRef("WheelEvent.WheelEvent", "WheelEvent()")}}</dt>
 <dd>Creates a <code>WheelEvent</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>This interface inherits properties from its ancestors, {{DOMxRef("MouseEvent")}}, {{DOMxRef("UIEvent")}}, and {{DOMxRef("Event")}}.</em></p>

<dl id="raw_prop">
 <dt>{{DOMxRef("WheelEvent.deltaX")}}{{ReadOnlyInline}}</dt>
 <dd>Returns a <code>double</code> representing the horizontal scroll amount.</dd>
 <dt>{{DOMxRef("WheelEvent.deltaY")}}{{ReadOnlyInline}}</dt>
 <dd>Returns a <code>double</code> representing the vertical scroll amount.</dd>
 <dt>{{DOMxRef("WheelEvent.deltaZ")}}{{ReadOnlyInline}}</dt>
 <dd>Returns a <code>double</code> representing the scroll amount for the z-axis.</dd>
 <dt>{{DOMxRef("WheelEvent.deltaMode")}}{{ReadOnlyInline}}</dt>
 <dd>Returns an <code>unsigned long</code> representing the unit of the <code>delta*</code> values' scroll amount. Permitted values are:
 <table class="standard-table">
  <thead>
   <tr>
    <td class="header">Constant</td>
    <td class="header">Value</td>
    <td class="header">Description</td>
   </tr>
  </thead>
  <tbody>
   <tr>
    <td><code>WheelEvent.DOM_DELTA_PIXEL</code></td>
    <td><code>0x00</code></td>
    <td>The <code>delta*</code> values are specified in pixels.</td>
   </tr>
   <tr>
    <td><code>WheelEvent.DOM_DELTA_LINE</code></td>
    <td><code>0x01</code></td>
    <td>The <code>delta*</code> values are specified in lines.</td>
   </tr>
   <tr>
    <td><code>WheelEvent.DOM_DELTA_PAGE</code></td>
    <td><code>0x02</code></td>
    <td>The <code>delta*</code> values are specified in pages.</td>
   </tr>
  </tbody>
 </table>
 </dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't define any specific methods, but inherits methods from its ancestors, {{DOMxRef("MouseEvent")}}, {{DOMxRef("UIEvent")}}, and {{DOMxRef("Event")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("UI Events", "#interface-wheelevent", "The <code>WheelEvent</code> interface")}}</td>
   <td>{{Spec2("UI Events")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events', '#interface-wheelevent', 'WheelEvent')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WheelEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Element/wheel_event", "wheel")}} event</li>
 <li>Interfaces replaced by this one:
  <ul>
   <li>Gecko's legacy mouse wheel event object: {{DOMxRef("MouseScrollEvent")}}</li>
   <li>Non-gecko browsers' legacy mouse wheel event object: {{DOMxRef("MouseWheelEvent")}}</li>
  </ul>
 </li>
</ul>
